Subject: Re:[Tsvwg] Query???

From: Randall Stewart <[email-masked]>
Date: Thu, 02 Aug 2001 06:48:13 -0500

Vijay:

First a word of advice and then a response..

Please turn off HTML type mail encoding.. it is very very
hard for many to read/reply to html encoded messages.
Even netscape (which I use) core dumps when I do a reply-all...
Something to do with the Font or other specification I guess.

Your question, is how does one get a COMMUNICATION_UP notification
in a SCTP association..

Bascially the detection of a restoral of a destination is
performed by the HeartBeat mechanism. If you look at the
section on HB you will see that no matter if the destination
address is UP or DOWN you still send a HB to it. This makes
the HB a "probe" for reachability. After a failure, when the
HB receives a reply... then the COMM-UP notification is
given..

I would invite you to download the SCTP reference implementation
at:

http://www.sctp.org

and on two multi-homed machines, start the test process and
setup an assocaition... then break one of the lan's interconnecting
the two boxes.. in a bit (HB is setup to a bit of a delay :>) you
should see a COMM-LOST notification... Then if you reconnect
the lan... you should see (after a couple of minutes) a COMM-UP
notification...

Enjoy..

R
--
Randall R. Stewart
[email-masked] 815-342-5222 (cell phone)

_______________________________________________
tsvwg mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/tsvwg

---

From: Al Varney <[email-masked]>
Date: Thu, 02 Aug 2001 22:41:59 -0500

Folks,

I'm still getting caught up again on the TSVWG mailing list, so I hope I'm 
not too late with this.  The suggestion in June was that some "real" SS7 
messages might help in determining an appropriate checksum/CRC for 
SCTP.  If that issue hasn't been resolved, I've some SS7 messages for those 
interested.

Since ITU-T SG11/Q13 is also discussing the SCTP checksum for use by BICC, 
I've added their mailing list to the distribution of this message.  Be 
careful that any responses to this message include your intended list.

After boiling down some old collections of messages, and discarding some 
that were obviously in error, about 73,000 SS7 messages remained.  These 
data files were stuffed into a ZIP file.  The included README file explains 
the contents and the modifications I had to make to be able to make the 
files public.

I also included a short C program to read the files -- should be easy to 
plug in whatever CRC test routine(s) folks might want to test.

See this Web site:  http://home.att.net/~a.l.varney/MTP3.base.html

Please let me know if you have problems with the site or the files.

Al Varney  --  [email-masked]